<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPurchaseOrderSbsLabel" jhiTranslate="mpmApp.purchaseOrderSbs.home.createOrEditLabel">Create or edit a Purchase Order Sbs</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!purchaseOrderSbs.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="purchaseOrderSbs.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.idPurchaseOrder" for="field_idPurchaseOrder">Id Purchase Order</label>
            <input type="text" class="form-control" name="idPurchaseOrder" id="field_idPurchaseOrder"
                [(ngModel)]="purchaseOrderSbs.idPurchaseOrder"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.noPurchaseOrder" for="field_noPurchaseOrder">No Purchase Order</label>
            <input type="text" class="form-control" name="noPurchaseOrder" id="field_noPurchaseOrder"
                [(ngModel)]="purchaseOrderSbs.noPurchaseOrder"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.dtOrder" for="field_dtOrder">Dt Order</label>
            <div class="input-group">
                <input id="field_dtOrder" type="text" class="form-control" name="dtOrder" ngbDatepicker  #dtOrderDp="ngbDatepicker" [(ngModel)]="purchaseOrderSbs.dtOrder"
                />
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="dtOrderDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.divition" for="field_divition">Divition</label>
            <input type="text" class="form-control" name="divition" id="field_divition"
                [(ngModel)]="purchaseOrderSbs.divition"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.sifat" for="field_sifat">Sifat</label>
            <input type="text" class="form-control" name="sifat" id="field_sifat"
                [(ngModel)]="purchaseOrderSbs.sifat"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.needs" for="field_needs">Needs</label>
            <input type="text" class="form-control" name="needs" id="field_needs"
                [(ngModel)]="purchaseOrderSbs.needs"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.appPembelian" for="field_appPembelian">App Pembelian</label>
            <input type="text" class="form-control" name="appPembelian" id="field_appPembelian"
                [(ngModel)]="purchaseOrderSbs.appPembelian"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.dtAppPembelian" for="field_dtAppPembelian">Dt App Pembelian</label>
            <div class="input-group">
                <input id="field_dtAppPembelian" type="text" class="form-control" name="dtAppPembelian" ngbDatepicker  #dtAppPembelianDp="ngbDatepicker" [(ngModel)]="purchaseOrderSbs.dtAppPembelian"
                />
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="dtAppPembelianDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.appPabrik" for="field_appPabrik">App Pabrik</label>
            <input type="text" class="form-control" name="appPabrik" id="field_appPabrik"
                [(ngModel)]="purchaseOrderSbs.appPabrik"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.dtAppPabrik" for="field_dtAppPabrik">Dt App Pabrik</label>
            <div class="input-group">
                <input id="field_dtAppPabrik" type="text" class="form-control" name="dtAppPabrik" ngbDatepicker  #dtAppPabrikDp="ngbDatepicker" [(ngModel)]="purchaseOrderSbs.dtAppPabrik"
                />
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="dtAppPabrikDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.appDept" for="field_appDept">App Dept</label>
            <input type="text" class="form-control" name="appDept" id="field_appDept"
                [(ngModel)]="purchaseOrderSbs.appDept"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.dtAppDept" for="field_dtAppDept">Dt App Dept</label>
            <div class="input-group">
                <input id="field_dtAppDept" type="text" class="form-control" name="dtAppDept" ngbDatepicker  #dtAppDeptDp="ngbDatepicker" [(ngModel)]="purchaseOrderSbs.dtAppDept"
                />
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="dtAppDeptDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.createBy" for="field_createBy">Create By</label>
            <input type="text" class="form-control" name="createBy" id="field_createBy"
                [(ngModel)]="purchaseOrderSbs.createBy"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchaseOrderSbs.dtCreateBy" for="field_dtCreateBy">Dt Create By</label>
            <div class="input-group">
                <input id="field_dtCreateBy" type="text" class="form-control" name="dtCreateBy" ngbDatepicker  #dtCreateByDp="ngbDatepicker" [(ngModel)]="purchaseOrderSbs.dtCreateBy"
                />
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="dtCreateByDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
